<!-- form -->
<?php echo $this->BcForm->create('CasebookCategory') ?>
<div class="section">
<h3>基本項目</h3>
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <?php if ($this->action == 'admin_edit'): ?>
      <tr>
        <th class="col-head"><?php echo $this->BcForm->label('CasebookCategory.id', 'NO') ?></th>
        <td class="col-input">
          <?php echo $this->BcForm->value('CasebookCategory.id') ?>
          <?php echo $this->BcForm->input('CasebookCategory.id', array('type' => 'hidden')) ?>
        </td>
      </tr>
    <?php endif; ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('CasebookCategory.name', 'カテゴリ名') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('CasebookCategory.name', array('type' => 'text', 'size' => 40, 'maxlength' => 255)) ?>
        <?php echo $this->BcForm->error('CasebookCategory.name') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>カテゴリ名を入力してください。</li>
          </ul>
        </div>
        </td>
      </tr>
      <tr>
        <th class="col-head"><?php echo $this->BcForm->label('CasebookCategory.template', 'コンテンツテンプレート') ?></th>
        <td class="col-input">
          <?php echo $this->BcForm->input('CasebookCategory.template', array(
            'type' => 'select',
            'options' => $this->BcBaser->getCasebookTemplates(),
            'selected' => $template
          )) ?>
          <?php echo $this->BcForm->error('CasebookCategory.template') ?>
          <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このカテゴリのデータを表示する際に使用する、コンテンツテンプレートを選択できます。</li>
            <li>カテゴリごとに設定できるようになっています。</li>
          </ul>
        </div>
        </td>
      </tr>
    </table>

<h3>利用設定</h3>
    <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
      <tr>
        <th class="col-head"><?php echo $this->BcForm->label('CasebookCategory.publish', '利用設定') ?>&nbsp;<span class="required">*</span></th>
        <td class="col-input">
          <?php $options = array(0 => '利用しない', 1 => '利用する') ?>
          <?php echo $this->BcForm->input('CasebookCategory.publish', array(
            'type' => 'select',
            'options' => $options
          )) ?>
          <?php echo $this->BcForm->error('CasebookCategory.publish') ?>
        </td>
      </tr>
    </table>
  </div>
  <!-- button -->
  <div class="submit">
    <?php echo $this->BcForm->submit('保存', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
    <?php if ($this->action == 'admin_edit'): ?>
      <?php
      $this->BcBaser->link('削除', array('action' => 'delete', $this->BcForm->value('CasebookCategory.id')), array('class' => 'button'), sprintf('本当に削除してもいいですか？'), false);
      ?>
    <?php endif ?>
  </div>

  <?php echo $this->BcForm->end() ?>
