<?php $this->BcBaser->css('admin/ckeditor/editor', array('inline' => true)); ?>

<?php if ($this->request->action == 'admin_edit'): ?>
	<div class="em-box align-left">
		<?php if ($this->BcForm->value('Casebook.publish')): ?>
			このケースのURL　：<?php
			$this->BcBaser->link(
				$this->BcBaser->getUri(array('admin' => false, 'plugin' => 'casebook', 'controller' => 'casebooks', 'action' => 'view', $this->BcForm->value('Casebook.id'))), array('admin' => false, 'plugin' => 'casebook', 'controller' => 'casebooks', 'action' => 'view', $this->BcForm->value('Casebook.id')))
			?>
		<?php else: ?>
			このケースのURL　：<?php echo $this->BcBaser->getUri(array('admin' => false, 'plugin' => 'casebook', 'controller' => 'casebooks', 'action' => 'view', $this->BcForm->value('Casebook.id'))) ?>
		<?php endif ?>
	</div>
<?php endif ?>

<!-- form -->
<?php echo $this->BcForm->create('Casebook', array('enctype' => 'multipart/form-data')) ?>
<div class="section">
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <?php if ($this->action == 'admin_edit'): ?>
      <tr>
        <th class="col-head"><?php echo $this->BcForm->label('Casebook.id', 'NO') ?></th>
        <td class="col-input">
          <?php echo $this->BcForm->value('Casebook.id') ?>
          <?php echo $this->BcForm->input('Casebook.id', array('type' => 'hidden')) ?>
        </td>
      </tr>
    <?php endif; ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.casebook_category_id', 'カテゴリ') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('Casebook.casebook_category_id', array(
          'type' => 'select',
          'empty' => '未選択',
          'options' => $categories
        )) ?>
        <?php echo $this->BcForm->error('Casebook.casebook_category_id') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>カテゴリを選択してください。</li>
            <li>カテゴリに含めないで「未選択」のまま登録することも可能です。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.name', '事例名') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('Casebook.name', array('type' => 'text')) ?>
        <?php echo $this->BcForm->error('Casebook.name') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>名前を入力してください。</li>
          </ul>
        </div>
      </td>
    </tr>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.client', 'クライアント名') ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->input('Casebook.client', array('type' => 'text')) ?>
				<?php echo $this->BcForm->error('Casebook.client') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>クライアント名を入力してください。自由に記述できます。</li>
					</ul>
				</div>
			</td>
		</tr>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.tags', 'タグ') ?></th>
			<td class="col-input">
				<?php
				echo $this->BcForm->input('Casebook.tags', array(
					'type' => 'select',
					'multiple'=> 'checkbox',
					'options' => $tags,
					'div' => false,
					'label'=>false,
					'id' => 'CasebookTags'
				));
				?>
				<?php echo $this->BcForm->error('Casebook.tags') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>タグを選択できます。複数を選ぶことができます。</li>
					</ul>
				</div>
			</td>
		</tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.text', '紹介文') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        if ($setting['CasebookSetting']['editor_type'] == 'textarea') {
          echo $this->BcForm->textarea('Casebook.text',array('rows' => '10', 'cols' => '5'));
        } else {
          echo $this->BcForm->editor('Casebook.text', array_merge(array(
            'editor' => @$siteConfig['editor'],
            'editorUseDraft' => false,
            'editorDraftField' => 'text_draft',
            'editorWidth' => 'auto',
            'editorHeight' => '480px',
            'editorEnterBr' => @$siteConfig['editor_enter_br']
          ), $editorOptions));
        }
        ?>
        <?php echo $this->BcForm->error('Casebook.text') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>本文を入力してください。</li>
          </ul>
        </div>
      </td>
    </tr>

    <?php if ($setting['CasebookSetting']['image01'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.image_1', '画像１') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($casebook['Casebook']['image_1'])): ?>
          <?php $this->BcBaser->img($imgPath.$casebook['Casebook']['image_1'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Casebook.del_image_1', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Casebook.image_1', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Casebook.image_1') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['CasebookSetting']['image02'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.image_2', '画像２') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($casebook['Casebook']['image_2'])): ?>
          <?php $this->BcBaser->img($imgPath.$casebook['Casebook']['image_2'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Casebook.del_image_2', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Casebook.image_2', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Casebook.image_2') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['CasebookSetting']['image03'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.image_3', '画像３') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($casebook['Casebook']['image_3'])): ?>
          <?php $this->BcBaser->img($imgPath.$casebook['Casebook']['image_3'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Casebook.del_image_3', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Casebook.image_3', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Casebook.image_3') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['CasebookSetting']['image04'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.image_4', '画像４') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($casebook['Casebook']['image_4'])): ?>
          <?php $this->BcBaser->img($imgPath.$casebook['Casebook']['image_4'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Casebook.del_image_4', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Casebook.image_4', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Casebook.image_4') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

		<?php if ($setting['CasebookSetting']['other01'] == 0) : ?>
		<?php
			if (!empty($setting['CasebookSetting']['other01_title'])){
				$other01Title = $setting['CasebookSetting']['other01_title'];
			} else {
				$other01Title = 'その他１';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.other_1', $other01Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Casebook.other_1'); ?>
				<?php echo $this->BcForm->error('Casebook.other_1') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['CasebookSetting']['other02'] == 0) : ?>
		<?php
			if (!empty($setting['CasebookSetting']['other02_title'])){
				$other02Title = $setting['CasebookSetting']['other02_title'];
			} else {
				$other02Title = 'その他２';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.other_2', $other02Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Casebook.other_2'); ?>
				<?php echo $this->BcForm->error('Casebook.other_2') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['CasebookSetting']['other03'] == 0) : ?>
		<?php
			if (!empty($setting['CasebookSetting']['other03_title'])){
				$other03Title = $setting['CasebookSetting']['other03_title'];
			} else {
				$other03Title = 'その他３';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.other_3', $other03Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Casebook.other_3'); ?>
				<?php echo $this->BcForm->error('Casebook.other_3') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['CasebookSetting']['other04'] == 0) : ?>
		<?php
			if (!empty($setting['CasebookSetting']['other04_title'])){
				$other04Title = $setting['CasebookSetting']['other04_title'];
			} else {
				$other04Title = 'その他４';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.other_4', $other04Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Casebook.other_4'); ?>
				<?php echo $this->BcForm->error('Casebook.other_4') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['CasebookSetting']['url01'] == 0) : ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Casebook.url_1', 'URL') ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->text('Casebook.url_1', array('size' => '40')); ?>
				<?php echo $this->BcForm->error('Casebook.url_1') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なURLを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Casebook.publish', '公開設定') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '非公開', 1 => '公開') ?>
        <?php echo $this->BcForm->input('Casebook.publish', array(
          'type' => 'select',
          'options' => $options
        )) ?>
        <?php echo $this->BcForm->error('Casebook.publish') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このデータを公開するかどうかを設定できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    </table>
  </div>
  <!-- button -->
  <div class="submit">
    <?php echo $this->BcForm->submit('保存', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
    <?php if ($this->action == 'admin_edit'): ?>
      <?php
      $this->BcBaser->link('削除', array('action' => 'delete', $this->BcForm->value('Casebook.id')), array('class' => 'button'), sprintf('本当に削除してもいいですか？'), false);
      ?>
    <?php endif ?>
  </div>

  <?php echo $this->BcForm->end() ?>
