<!-- form -->
<?php echo $this->BcForm->create('CasebookSetting', array('enctype' => 'multipart/form-data')) ?>
<div class="section">
<h3>基本項目</h3>
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('CasebookSetting.editor_type', 'エディタタイプ') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array('ckeditor' => 'CKEditor', 'textarea' => 'テキストエリア') ?>
        <?php echo $this->BcForm->input('CasebookSetting.editor_type', array(
          'type' => 'radio',
          'options' => $options,
          'value' => 'ckeditor'
        )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.editor_type') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>エディタの種類を選択できます。</li>
            <li>ただし「システム管理」の設定でCKEditorを使わない設定になっていると、CKEditorを選択しても通常のテキストエリアになります。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.image01', '画像1') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.image01', array(
          'type' => 'radio',
          'options' => $options,
        )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.image01') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>このフィールドを使わない設定にしても、既に登録されたデータは消えずに残ります。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.image02', '画像2') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.image02', array(
          'type' => 'radio',
          'options' => $options,
        )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.image02') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>このフィールドを使わない設定にしても、既に登録されたデータは消えずに残ります。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.image03', '画像3') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.image03', array(
          'type' => 'radio',
          'options' => $options,
        )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.image03') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>このフィールドを使わない設定にしても、既に登録されたデータは消えずに残ります。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.image04', '画像4') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.image04', array(
          'type' => 'radio',
          'options' => $options
        )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.image04') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>このフィールドを使わない設定にしても、既に登録されたデータは消えずに残ります。</li>
          </ul>
        </div>
      </td>
    </tr>
  </table>


  <h3>汎用項目設定</h3>
    <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.other01', '汎用項目１') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.other01', array(
          'type' => 'radio',
          'options' => $options
        )) ?>
        　項目名：
        <?php echo $this->BcForm->input('CasebookSetting.other01_title', array('type' => 'text', 'size' => 20, 'maxlength' => 255, )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.other01') ?>
        <?php echo $this->BcForm->error('CasebookSetting.other01_title') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>使う場合には項目名をセットできます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.other02', '汎用項目２') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.other02', array(
          'type' => 'radio',
          'options' => $options
        )) ?>
        　項目名：
        <?php echo $this->BcForm->input('CasebookSetting.other02_title', array('type' => 'text', 'size' => 20, 'maxlength' => 255, )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.other02') ?>
        <?php echo $this->BcForm->error('CasebookSetting.other02_title') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>使う場合には項目名をセットできます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.other03', '汎用項目３') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.other03', array(
          'type' => 'radio',
          'options' => $options
        )) ?>
        　項目名：
        <?php echo $this->BcForm->input('CasebookSetting.other03_title', array('type' => 'text', 'size' => 20, 'maxlength' => 255, )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.other03') ?>
        <?php echo $this->BcForm->error('CasebookSetting.other03_title') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>使う場合には項目名をセットできます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.other04', '汎用項目４') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.other04', array(
          'type' => 'radio',
          'options' => $options
        )) ?>
        　項目名：
        <?php echo $this->BcForm->input('CasebookSetting.other04_title', array('type' => 'text', 'size' => 20, 'maxlength' => 255, )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.other04') ?>
        <?php echo $this->BcForm->error('CasebookSetting.other04_title') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>使う場合には項目名をセットできます。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.url01', 'URL1') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '使う', 1 => '使わない') ?>
        <?php echo $this->BcForm->input('CasebookSetting.url01', array(
          'type' => 'radio',
          'options' => $options
        )) ?>
        <?php echo $this->BcForm->error('CasebookSetting.url01') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このフィールドを使うかどうかの設定ができます。</li>
            <li>使わない設定にすると登録画面、編集画面から入力欄が消え、操作できなくなります。</li>
            <li>このフィールドを使わない設定にしても、既に登録されたデータは消えずに残ります。</li>
          </ul>
        </div>
      </td>
    </tr>
    </table>

<h3>画像保存設定</h3>
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.max_width', '横幅の最大値') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('CasebookSetting.max_width', array('type' => 'text', 'size' => 5, 'maxlength' => 255, 'value' => $maxWidth)) ?>px
        <?php echo $this->BcForm->error('CasebookSetting.max_width') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像の横幅最大値を設定します。</li>
            <li>この設定よりも大きな画像がアップロードされると、自動でサイズを縮小します。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head">
      <?php echo $this->BcForm->label('CasebookSetting.max_height', '高さの最大値') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('CasebookSetting.max_height', array('type' => 'text', 'size' => 5, 'maxlength' => 255, 'value' => $maxHeight)) ?>px
        <?php echo $this->BcForm->error('CasebookSetting.max_height') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像の高さの最大値を設定します。</li>
            <li>この設定よりも大きな画像がアップロードされると、自動でサイズを縮小します。</li>
          </ul>
        </div>
      </td>
    </tr>
  </table>

  </div>
  <!-- button -->
  <div class="submit">
    <?php echo $this->BcForm->submit('保存', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
    <?php if (!empty($setting)): ?>
      <?php
      $this->BcBaser->link('初期化', array('action' => 'delete', $this->BcForm->value('CasebookSetting.id')), array('class' => 'button'), sprintf('本当に初期化してもいいですか？'), false);
      ?>
    <?php endif ?>
  </div>

  <?php echo $this->BcForm->end() ?>
